#ifndef EMULTIWIN_H
#define EMULTIWIN_H

#include "ebase.h"
#include "pagelistitem.h"

class EMultiWin : public EBase {
    Q_OBJECT
public:
    explicit EMultiWin(PageListItem *pageItem);
    explicit EMultiWin(const QJsonObject &json, PageListItem *pageItem);
    ~EMultiWin();

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;
    int type() const override { return EBase::Window; }
    QWidget* attrWgt() override;
    bool save(const QString &) override;
    QJsonObject attrJson() const override;

    void setCur(EBase *);

    PageListItem *mPageItem{nullptr};
    QList<EBase*> inners;
    int index{-1};
};

#endif // EMULTIWIN_H
